Stable Audio 3 Medium Base Audio Inpainting
Integreiddio
stable-audio-3/medium/base/audio-inpainting
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/stable-audio-3/medium/base/audio-inpainting?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"mask_start_seconds": 4,
"mask_end_seconds": 8
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/stable-audio-3/medium/base/audio-inpainting?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"mask_start_seconds": 4,
"mask_end_seconds": 8
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"mask_start_seconds": 4,
"mask_end_seconds": 8,
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/stable-audio-3/medium/base/audio-inpainting", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/cy/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "stable-audio-3/medium/base/audio-inpainting",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"mask_start_seconds": 4,
"mask_end_seconds": 8
}
}
Galwch y model Stable Audio 3 Medium Base Audio Inpainting (stable-audio-3/medium/base/audio-inpainting) drwy Doitong API. Dogfennaeth ar gyfer asiantau: https://doitong.com/cy/developers/models/stable-audio-3/medium/base/audio-inpainting.md
POST https://api.doitong.ru/v1/run/stable-audio-3/medium/base/audio-inpainting?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"mask_start_seconds": 4,
"mask_end_seconds": 8
}
Os yw statws yr ymateb yn "queued" neu "running", holwch GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20 nes ei fod yn "succeeded"; mae'r ffeiliau yn outputs[].url. Mae POST https://api.doitong.ru/v1/quote/stable-audio-3/medium/base/audio-inpainting gyda'r un corff yn dychwelyd yr union bris cyn y rhediad.
Y cais hwn: $0.054 54 o gredydau API · ≈ ₽5.81 Ei redeg ar y dudalen hon
Eich allwedd API newydd. Dim ond nawr y caiff ei ddangos ac mae eisoes yn y cod ac ym maes allwedd API isod. Cadwch ef yn gyfrinachol: peidiwch byth â’i roi mewn cod sy’n rhedeg mewn porwr.
Mae eich canlyniad cyntaf yn mynd yma
Adeiladwch gais isod a'i redeg gyda'ch allwedd API. Mae allbynnau'n cael eu copïo i'n storio, wedi'u cadw am byth neu am 7 diwrnod am ddim.
Adeiladu cais
Cynhyrchir rheolyddion o sgema'r model. Mae'r cod a'r pris yn diweddaru wrth i chi eu newid.
/run/stable-audio-3/medium/base/audio-inpainting?wait=20
dyfynbris → $0.054
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/stable-audio-3/medium/base/audio-inpainting?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"mask_start_seconds": 4,
"mask_end_seconds": 8
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/stable-audio-3/medium/base/audio-inpainting?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"mask_start_seconds": 4,
"mask_end_seconds": 8
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"mask_start_seconds": 4,
"mask_end_seconds": 8,
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/stable-audio-3/medium/base/audio-inpainting", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "stable-audio-3/medium/base/audio-inpainting",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"mask_start_seconds": 4,
"mask_end_seconds": 8
},
"wait_seconds": 20
}
}
}
Rhedeg y cais hwn
Mae'ch allwedd yn aros yn y porwr hwn: caiff ei hanfon at Doitong API yn unig a'i chadw (localStorage) dim ond os ticiwch Cofio. Cael allwedd API
Ynglŷn â Stable Audio 3 Medium Base Audio Inpainting
Yn ailgynhyrchu rhan `audio_url` rhwng `mask_start_seconds` a `mask_end_seconds` (hyd at 380 eiliad) o `prompt`. Mae'r pwynt gwirio hwn heb ei ddistyllu yn rhagosod i 50 cam samplu a `guidance_scale` 7, sy'n cael effaith wirioneddol yma. Mae'r fformatau allbwn yn cynnwys mp3, wav, flac, ogg, opus, m4a ac aac.
Paramedrau
Anfonwch naill ai'r enw canonaidd neu'r enw brodorol, nid y ddau. Enwau canonaidd
negative_promptdewisol
num_inference_stepsdewisol
guidance_scaledewisol
seeddewisol
enable_prompt_expansiondewisol
enable_safety_checkerdewisol
output_formatdewisol
bitratedewisol
promptgofynnol
audio_urlgofynnol
audio
mask_start_secondsgofynnol
mask_end_secondsgofynnol
Mae paramedrau ffeil yn derbyn URL cyhoeddus https://, URI data: hyd at 10 MB, neu file_url uwchlwythiad. Ffeiliau
Allbwn
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "stable-audio-3/medium/base/audio-inpainting",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 54,
"usd": "0.054",
"charged": 54,
"refunded": 0
},
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"mask_start_seconds": 4,
"mask_end_seconds": 8
},
"output": {
"audio": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_name": "0-output.mp3",
"file_size": 1843200
},
"seed": 42,
"prompt": "string"
},
"outputs": [
{
"type": "audio",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_size": 1843200,
"duration": 12,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Meysydd yr allbwn
- audio
- object {url, content_type, file_name, file_size}Clip sain a gynhyrchwyd.
- seed
- integerHadau a reolodd haprwydd yn ystod cynhyrchu.
- prompt
- stringAnogiad a ddefnyddiwyd i gynhyrchu'r allbwn.
Amrywiadau Stable Audio 3 eraill
Mwy o fodelau: Sain
Ar gyfer asiantau AI: mae'r dudalen hon fel Markdown ar gael yn https://doitong.com/cy/developers/models/stable-audio-3/medium/base/audio-inpainting.md. Pob model a chanllaw: https://doitong.com/developers/llms.txt